# Get note settings

```
GET 
/note-settings
```

Get the current user's settings for note generation.

## Responses[​](#responses "Direct link to Responses")

* 200

Note settings.

## Operation spec

```json
{
  "method": "get",
  "path": "/note-settings",
  "operationId": "get-note-settings",
  "responses": {
    "200": {
      "description": "Note settings.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "description": "Settings that apply for all notes generated by the current user, e.g. through the [`/generate-note` endpoint](/core-api/reference/2025-05-05/server/generate-note).",
            "required": [
              "note_template",
              "note_locale"
            ],
            "properties": {
              "note_template": {
                "type": "string",
                "enum": [
                  "GENERIC_MULTIPLE_SECTIONS",
                  "GENERIC_MULTIPLE_SECTIONS_AP_MERGED",
                  "GENERIC_SOAP",
                  "GENERIC_SOAP_AP_MERGED",
                  "GENERIC_SOAP_PLUS_EXAM_TESTS_AP_MERGED",
                  "GENERIC_APSO_AP_MERGED",
                  "EMERGENCY_MULTIPLE_SECTIONS",
                  "EMERGENCY_SOAP",
                  "WCC_MULTIPLE_SECTIONS",
                  "WCC_SOAP",
                  "PSYCHIATRY_MULTIPLE_SECTIONS",
                  "PSYCHIATRY_SOAP",
                  "PSYCHOLOGY_MULTIPLE_SECTIONS",
                  "CARDIOLOGY_MULTIPLE_SECTIONS",
                  "DIET_MULTIPLE_SECTIONS"
                ],
                "description": "The template used to generate the note.\n\nSome templates are **only available in specific languages**. Check [Note template](/core-api/guides/note-templates/note-templates-sections) for details.",
                "example": "GENERIC_MULTIPLE_SECTIONS",
                "title": "note_template"
              },
              "note_locale": {
                "type": "string",
                "description": "Locale of the note.",
                "enum": [
                  "ENGLISH_US",
                  "ENGLISH_UK",
                  "FRENCH_FR"
                ],
                "example": "ENGLISH_US",
                "title": "note_locale"
              }
            },
            "title": "note_settings"
          }
        }
      }
    }
  }
}
```
